type initOpts = {
    alphabet?: string;
    encodeChunkSize?: number;
};
type encoding = "utf-8" | "utf8" | "utf-16" | "utf-16le" | "utf-16be";
type buffer = ArrayBuffer | DataView | Int8Array | Uint8Array | Uint8ClampedArray | Int16Array | Uint16Array | Int32Array | Uint32Array | Float32Array | Float64Array | BigInt64Array | BigUint64Array;
declare class Base64 {
    private _lookup;
    private _revLookup;
    private _encodeChunkSize;
    constructor(initOpts?: initOpts);
    bufferToBase64(value: buffer, padding?: boolean): string;
    base64ToBuffer(base64Str: string): ArrayBuffer;
    strToBase64(str: string, encoding?: encoding, padding?: boolean): string;
    base64ToStr(base64Str: string, encoding?: encoding): string;
    private _utf8ToBase64;
    private _base64ToUtf8;
    private _utf16ToBase64;
    private _base64ToUtf16;
    bufferToDataURL(value: buffer, mimeType?: string): string;
    strToDataURL(str: string, encoding?: encoding): string;
}
export = Base64;
